body {
    font-size: 20px;
    overflow: hidden;

    width: 100dvw;
    height: 100dvh;

}

@media (width >= 1920px) {

    .section {
        position: absolute;
        top: 0;

        display: flex;
        flex-direction: column;
        align-items: center;

        height: 100%;
        width: 45%;

        z-index: 10;

        background-color: white;

        transition: transform 1.5s;
    }

    .sectionLogin {
        right: 0;
    }

    .sectionLogin::before {
        content: "";

        position: absolute;
        top: 15%;
        bottom: 15%;
        left: 0;
        width: 3px;
        background: #ababab;   
    }

    .loginImage {
        display: block;
        z-index: 1;
        position: absolute;
        top: 35%;
        left: 20%;
        max-width: 400px;
        height: auto;
        opacity: 1;
        transition: opacity 1s ease-in-out;
    }

    .loginImage.hidden {
        opacity: 0;
    }

    .registroImage {
        display: block;
        z-index: 1;
        position: absolute;
        top: 35%;
        right: 20%;
        max-width: 480px;
        height: auto;
        opacity: 1;
        transition: opacity 1s ease-in-out;
    }

    .registroImage.hidden {
        opacity: 0;
    }

    .sectionRegistro {
        left: 0%;
        transform: translateX(-100%);
    }

    .sectionRegistro::before {
        content: "";

        position: absolute;
        top: 15%;
        bottom: 15%;
        right: 0;
        width: 3px;
        background: #ababab;   
    }

    .sectionLogin.active {
        transform: translateX(100%);
    }

    .sectionRegistro.active {
        transform: translateX(0%);
    }

    .logo {
        max-width: 400px;
    }

    .header_logo {
        padding-top: 10%;
    }

    .title {
        font-size: 40px;
        padding: 40px 15px 15px 15px;
    }

    .separador {
        width: 35%;
        position: relative;
        background-color: #393939;
        height: 1px;
        border: none;
    }

    form {
        display: flex;
        flex-direction:column;
        align-items: center;
        padding: 50px 0;
        gap: 30px;
    }

    .inputTexto {
        border: none;
        background-color: transparent;
        width: 300px;
        font-size: 20px;
        cursor: pointer;
        border-bottom: solid 1.5px black;
        cursor: text;
        margin: 0 100px;
    }

    .inputTexto:focus {
        outline: none;
    }

    .botonSubmit {
        font-size: 17px;
            
        width: 150px;
        min-width: 150px;

        background-color: #393939;
        color: white;
        border: 3px solid #393939;
        cursor: pointer;

        padding: 5px 20px;

        border-radius: 40px;
        transition: background-color 0.5s, color 0.5s;
    }

    .respuesta {
        width: 25%;
        background-color: rgb(148, 244, 148);
        border: solid 1px rgb(12, 203, 12);
        color: green;
        display: none;
        padding: 10px 5px;
        text-align: center;
        border-radius: 10px;
    }

    .respuesta.negativa {
        background-color: rgb(253, 111, 111);
        border: solid 1px rgb(240, 47, 47);
        color: rgb(176 10 10);
    }

    .respuesta.active {
        display: block;
    }

    .switchLoginRegistro {
        border: none;
        background-color: transparent;
        font-size: 20px;
        color: rgb(0, 0, 149);
        cursor: pointer;
    }

    .switchLoginRegistro:hover {
        text-decoration: underline;
    }

    .divCopyrightPolicies {
        display: flex;
        flex-direction: row;
        gap: 100px;
    }

    .divPolicies {
        display: flex;
        gap: 20px;
    }
}

@media (width <= 1920px) {

    * {
        font-size: 15px;
    }

    .section {
        position: absolute;
        top: 0;

        display: flex;
        flex-direction: column;
        align-items: center;

        height: 100%;
        width: 45%;

        z-index: 10;

        background-color: white;

        transition: transform 1.5s;
    }

    .sectionLogin {
        right: 0;
    }

    .sectionLogin::before {
        content: "";

        position: absolute;
        top: 15%;
        bottom: 15%;
        left: 0;
        width: 3px;
        background: #ababab;   
    }

    .loginImage {
        display: block;
        z-index: 1;
        position: absolute;
        top: 35%;
        left: 20%;
        max-width: 300px;
        height: auto;
        opacity: 1;
        transition: opacity 1s ease-in-out;
    }

    .loginImage.hidden {
        opacity: 0;
    }

    .registroImage {
        display: block;
        z-index: 1;
        position: absolute;
        top: 35%;
        right: 20%;
        max-width: 360px;
        height: auto;
        opacity: 1;
        transition: opacity 1s ease-in-out;
    }

    .registroImage.hidden {
        opacity: 0;
    }
    
    .sectionRegistro {
        left: 0%;
        transform: translateX(-100%);
    }

    .sectionRegistro::before {
        content: "";

        position: absolute;
        top: 15%;
        bottom: 15%;
        right: 0;
        width: 3px;
        background: #ababab;
    }

    .sectionLogin.active {
        transform: translateX(100%);
    }

    .sectionRegistro.active {
        transform: translateX(0%);
    }
    .logo {
        max-width: 300px;
    }

    .header_logo {
        padding-top: 10%;
    }

    .title {
        font-size: 30px;
        padding: 30px 11.25px 11.25px 11.25px;
    }

    .separador {
        width: 35%;
        position: relative;
        background-color: #393939;
        height: 1px;
        border: none;
    }

    form {
        display: flex;
        flex-direction:column;
        align-items: center;
        padding: 37.5px 0;
        gap: 22.5px;
    }

    .inputTexto {
        border: none;
        background-color: transparent;
        width: 225px;
        font-size: 15px;
        cursor: pointer;
        border-bottom: solid 1.125px black;
        cursor: text;
        margin: 0 75px;
    }

    .inputTexto:focus {
        outline: none;
    }

    .botonSubmit {
        font-size: 12.5px;
            
        width: 112.5px;
        min-width: 112.5px;

        background-color: #393939;
        color: white;
        border: 3px solid #393939;
        cursor: pointer;

        padding: 3.75px 15px;

        border-radius: 40px;
        transition: background-color 0.5s, color 0.5s;
    }

    .respuesta {
        width: 25%;
        background-color: rgb(148, 244, 148);
        border: solid 1px rgb(12, 203, 12);
        color: green;
        display: none;
        padding: 10px 5px;
        text-align: center;
        border-radius: 10px;
    }

    .respuesta.negativa {
        background-color: rgb(253, 111, 111);
        border: solid 1px rgb(240, 47, 47);
        color: rgb(176 10 10);
    }

    .respuesta.active {
        display: block;
    }

    .switchLoginRegistro {
        border: none;
        background-color: transparent;
        font-size: 15px;
        color: rgb(0, 0, 149);
        cursor: pointer;
    }

    .switchLoginRegistro:hover {
        text-decoration: underline;
    }

    .divCopyrightPolicies {
        display: flex;
        flex-direction: row;
        gap: 75px;
    }

    .divPolicies {
        display: flex;
        gap: 15px;
    }
}